Imposible hacer funcionar el flash

Imagen de okky
0 puntos

Hola, he probado miles de tutoriales y nada, no soy capaz de hacer funcional el maldito flash.
Cuando instale instale el software de terceros que recomiendo instalar, y no me iva, probe varias veces a volver a instalarlo en estas semanas y nada con ese no va.

Probe a bajar el flash de la pagina, archivo tar.gz, y poner el .so en mozilla/plugins, tampoco va

Instale el gnash(es el k tengo ahora) este va algo, pero va mal.
He borrado todos los "libflashplayer" antes de probar otra cosa, he desinstalado el restricted y vuelto a instlar, lo he echo a mano, lo he echo desde terminal y lo he echo desde el centro de softweare, y nada no va el flash.

Antes de nada decir k mi problema no es con youtube, primero pork apenas entro en youtube ( por no decir nunca) y segundo por k con el html 5 youtube se me ve perfecto.
Mi problema es con flash en general, me gustaria tener flash, me parece algo casi obligatorio para andar por internet hoy en dia, nisikiera puedo hacer el test de velocidad de internautas, hay otra pagina k lo puedo hacer, no se ve bien, pero da los resultados k es lo mismo.

Mi mayor problema es k no puedo ver ningun video, en youtube si, gnash en youtube va muy bien (va mejor copn el html5, pero para poder verlo con html5 tengo k tener todo lo de flash desactivado, si no me salta el flash, funcione o no)
No puedo ver television online, ni series ni peliculas, y por supuesto las aplicaciones flash no me van, alguna k otra si, pero en general no me funciona el flash.

Desinstale todos los plugins del firefox, si pongo about:plugins ahora mismo solo tengo el gnash, por k un complemente de vlc ponia algo de flash, y por si acaso borre todos a ver si asi conseguia k fuera, pero nada

uso el firefox, aunque sinceramente me da igual el navegador a utilizar, con el chromium tampoco me va, si hay algun navegador que pueda ser que funcione agracederia que me lo dijerais.

Por cierto, hay ciertoi desacuerdo en donde tiene k ir el plugin libflashplayer.so, unos dicen en mozilla/plugin, otros en flashplayer-installer (o algo asi) y otros en firefox/plugin (todo ello en /etc/lib)

Bueno, espero k me podais ayudar, tengo casi casi el ubuntu funcionando de marabila, solo me falta eso, de echo el pokerstar me da problemas en algunas ventanas k no me deja darle al boton de aceptar ni cancelar, ¿puede k eso sea flash? ¿ o es java? , pero bueno, el pokerstar funciona bajo wine, y linux no es windows asi k es normal k no funcione perfecto.

Un saludo y gracias por anticipado

Imagen de okky
+1
0
-1

Lo dicho, he desinstalado todo lo referente al flash, desde el gestor de paquetes desinstale los extras restringidos, y cualkier cosa que tenga k ver con flash o flashplayer
me dirigi a mi carpeta personal y mire los archivos ocultos, mire en .mozilla a ver si habia algun libflashplayer.so, habia 3 los borre
fui a /usr/lib/ y mire todo lo k habia de flash
borre la carpeta flashplayer-installer borre el libflashplayer de mozilla/plugins y mire en firefox y en firefox/addons/plugins y no habia nada referente a flash

Luego lo instale manualmente, poniendo el libflashplayer.so descargado del tar.gz de la pagina de adobe y probe a ponerla en
/usr/lib/mozilla/plugins
/usr/lib/mozilla
/usr/lib/firefox
/usr/lib/firefox/plugins
/usr/lib/firefoxaddons/plugins
/usr/lib/firefoxaddons
/home/"USUARIO"/.mozilla/plugins
/home/"USUARIO"/.mozilla

lo fui probando primero en un sitio, reiniciaba el firefox no iva, lo cambiaba de carpeta , reiniciaba el firefox y no iva y asi siempre, lo hice entrando en nautilus como root, para no confundirme en ningun momento
despues probe a instalarlo desde firefox, tube k volver a instlaar un complemento para k firefox pueda instalar el flash, ya k si no no me aparecia ningun plugin, lo instale y nada no iva
volvi a buscar todo lo referente a flash en esas carpetas de antes y borre el libflashplayer.so k habia puesto el firefos y las carpetas de flashplayer-installer, incluso la k guardo en cache

fui al gestor de paquetes y probe a instalar los extras restringidos, primero con el complemento de adobe flash, y despues con el flash player 11 (tengo dos versiones en los extras pa elegir) despues probe a instalar los extras con los dos seleccionados
Y nada
por cierto al desinstalar los extras o cualquier flash, tenuia que borrar manualmente el libflashplayer.so por k no se borraba al desinstalar
instale el flash player buscando en el gestor
instale un complemento del flash player de audio, poniendo en el gestor flashplayer me aparecia solo una cosa que era para el audio en el reproductor de flash
y nada
o sea instale y desinstale tanto por el gestor, como por firefox , como a mano, como por consola todos los flash que hay, desinstalando primero antes de instalar el siguiente
y nada

el gnash me va pero falla mucho en muchas paginas
sin ningun flash los videos de youtube los veo con el html5, pero en otras paginas de videos no los veo
y por supuesto las aplicaciones de flash no funcionan con html5

no se que mas hacer
si alguien me dice la ruta para poner el libflashplayer.so pero k sea seguro k esa es la ruta correcta, se lo agracederia

y no se, una pregunta ¿el html5 puede causar conflicto con el flashplayer?

Espero que alguien me pueda responder

un saludo

+1
0
-1

-¿Porqué usar Linux?
-¿Y porqué no usarlo?

Imagen de rioport
+1
+1
-1

Tu manera de escribir me hizo saltarme mucho texto, lo tuyo parece una queja sin ton ni son.

Primero, deshaz todo lo que hiciste. Vuelve a instalar el paquete flashplugin-installer:
sudo apt-get install flashplugin-installer
y pega acá lo que sale en la terminal.

+1
+1
-1

-- GC --

Imagen de Jose Luis 1320
+1
+1
-1

La letra K solo se ve bien en aplicaciones de KDE, en tu ortografía se ve pésima.

y una pregunta adicional, ¿que problema tienes con el flash? ¿no tendrás de casualidad un complemento que lo este bloqueando en firefox?

+1
+1
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de okky
+1
0
-1

Es...una mala costumbre.

rioport no es una queja, mas bien es que estoy un poco desesperado por no encontrar la solucion.

Jose Luis 1320 , el problema que tengo con el flash, es que no me funciona.
El gnash me permite ver youtube y tambien funcionan algunas aplicaciones flash, mal pero funcionan, como el medido de velocidad, pero en otras paginas de videos y otras aplicaciones no funciona.

El flashplugin de adobe no me funciona en nada, ni en youtube, ni en los medidores de velocidad ni en otras paginas de videos.

Si hay algun otro complemento que lo pueda estar bloqueando no lo se, en complementos tengo.

PLugins: Nada, lo borre todo por si acaso

Extensiones: Global menu bar integration
Javascript Debugger 0.9.89
Javascript Deobfuscator 1.6.3
Ubuntu firefox modifications 2.6

Ya tenia todo desecho, cada vez que probaba a instalar algo, si no funcionaba, lo volvia a desinstalar, de todas maneras acabo de comprobarlo por si acaso, esta todo desinstalado, y al instalar esto es lo que me sale:

sudo apt-get install flashplugin-installer
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Paquetes sugeridos:
x-ttcidfont-conf ttf-bitstream-vera ttf-dejavu ttf-xfree86-nonfree xfs
Se instalarán los siguientes paquetes NUEVOS:
flashplugin-installer
0 actualizados, 1 se instalarán, 0 para eliminar y 0 no actualizados.
Se necesita descargar 0 B/7.368 B de archivos.
Se utilizarán 139 kB de espacio de disco adicional después de esta operación.
Preconfigurando paquetes ...
Seleccionando paquete flashplugin-installer previamente no seleccionado
(Leyendo la base de datos ... 191108 ficheros o directorios instalados actualmente.)
Desempaquetando flashplugin-installer (de .../flashplugin-installer_11.2.202.270ubuntu0.12.04.1_i386.deb) ...
Procesando disparadores para update-notifier-common ...
flashplugin-installer: downloading http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flas...
Installing from local file /tmp/tmpRrDcYf.gz
Flash Plugin installed.
Configurando flashplugin-installer (11.2.202.270ubuntu0.12.04.1) ...

Y ahora me doy cuenta que me sugiere que instale unos paquetes, ¿quizas ese sea el error por el cual no me funciona?

Gracias por contestar y perdon si parecia que me estaba quejando, sere mas cuidadoso la proxima vez.

Un saludo

+1
0
-1

-¿Porqué usar Linux?
-¿Y porqué no usarlo?

Imagen de bouzapanda
+1
0
-1

por que no pruebas a instalar flash-aid?. es un complemento de mozilla que te va a optimizar el funcionamiento de flash y que creo va a solucionar el problema. saudiña.

+1
0
-1
Imagen de rioport
+1
0
-1

el resultado de los siguientes comandos:

ls /usr/lib/flashplugin-installer/
ls /usr/lib/mozilla/plugins/

Ejecuta el siguiente comando y ve si te deja elegir el flash plugin de Adobe:

sudo update-alternatives --config mozilla-flashplugin

¿Entre prueba y prueba has reiniciado el navegador?.

+1
0
-1

-- GC --

Imagen de okky
+1
0
-1

El flash-aid lo tenia por defecto en el firefox, lo habia desinstalado por si acaos, lo acabo de volver a instalar y nada todo igual.

amroth@amroth-pc:~$ ls /usr/lib/flashplugin-installer/
install_plugin libflashplayer.so
amroth@amroth-pc:~$ ls /usr/lib/mozilla/plugins/
flashplugin-alternative.so

amroth@amroth-pc:~$ sudo update-alternatives --config mozilla-flashplugin
Sólo hay una alternativa en el grupo de enlaces mozilla-flashplugin: /usr/lib/flashplugin-installer/libflashplayer.so
Nada que configurar.

si, cada vez que pruebo a instalar algo reinicio el firefox.

+1
0
-1

-¿Porqué usar Linux?
-¿Y porqué no usarlo?

Imagen de rioport
+1
0
-1

allí está, la instalación de Flash a sido correcta, pero al parecer el navegador no se entera o lo tienes deshabilitado. Tengo el sistema en inglés, pero el menú está en Firefox > Add-ons > Plugins . ¿TIenes instalado Firefox desde los repositorios o de dónde?.

O prueba a crear un nuevo perfil, para ello ejecuta en la terminal:

firefox -P


Ahí te abrirá el gestor de perfiles, crea uno nuevo para ver si no ha sido algún ajuste que hiciste en el navegador lo que está impidiendo el funcionamiento de flash.

Fuente:
http://support.mozilla.org/en-US/kb/profile-manager-create-and-remove-fi...

+1
0
-1

-- GC --

Imagen de girelaine
+1
0
-1

Pues a mí me pasa algo parecido, no puedo ver ningún complemento en flash como videos. El problema lo tengo con chromium, chrome y firefox así que supongo que debe ser problema del S.O. Creo que mejor abro otro hilo.

+1
0
-1
Imagen de rioport
+1
0
-1

Google Chrome trae su propia versión de Flash, una versión más reciente que la de los repositorios, y si aún en ese [navegador] te falla entonces tu problema va por otro lado. No sé cuál sea la versión de Ubuntu que uses, yo tengo la 12.04 y 12.10 y en ninguna de ellas tengo esos problemas. Eso sí; es mejor que abras tu propio hilo.

+1
0
-1

-- GC --

Imagen de okky
+1
0
-1

Por que eso es lo que me pasa a mi, no me pasa solo con firefox, me pasa con firefox, chromium y midori.

El flash falla, pero esta ahi, si pongo about:plugins me sale el plugin del flash y su version, en complementos lo tengo activado.

En youtube, se ve un recuadro negro donde iria el video, en unos segundos, se alterna de negro a blanco, pero no me hace nada ni con el boton derecho ni nada.

Sin el plugin de flash los videos los veo, ya que tengo el html5 y con eso youtube funciona.¿Es posible que el HTML5 haga conflicto con el flash? tampoco queria desinstalarlo por desinstalar, ya que en principio no tendria nada que ver.

Voy a instalar el google chrome a ver si con ese me funciona, aunque lo dudo.

Un saludo

+1
0
-1

-¿Porqué usar Linux?
-¿Y porqué no usarlo?

Imagen de Jose Luis 1320
+1
0
-1

Fue al usuario que comento el problema con Chrome, Chrome/Chromium es una cosa aparte del problema con tu plugin de flash en firefox.

HTML5 no hace nada con flash, HTML5 es como si tuvieras una página web con texto plano pero las nuevas tecnologías hacen que tengas una ventana con vídeo, pero no se mete en nada con flash.

Lo que si puede hacer conflicto es que estes usando a lo mejor un repositorio de terceros, o alguna interfaz gráfica problemática con flash (ejemplo; en Ubuntu 10.04, había un tema de GTK con transparencia, que modificaba nautilus, el motor Murrine y algunos componentes de gnome y ocasionaban problemas con flash), o tu tarjeta gráfica.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de rioport
+1
0
-1

No solo es firefox, sino que también pasa en otros navegadores, o será que sí lo escribiste, pero por tu forma de redactar ...

HTML5 no se desinstala, en Youtube lo puedes habilitar/deshabilitar que es otra cosa muy diferente y además ese ajuste aplica solo a Youtube, otras páginas pueden o no usar HTML5 independientemente de lo que selecciones en Youtube.

¿Qué hardware tienes? y además ejecuta lo siguiente y muestra acá el resultado:

lspci -nn

Y sí, es mejor que abra su propio hilo, o te parece que mejor se le ayude a él y a ti se te deje de espectador, a ver si lo que a él le resulte útil lo sea también para ti.

+1
0
-1

-- GC --

Imagen de okky
+1
0
-1

Mi problema es con todos los navegadores.
Tengo firefox, chromium, midori y google chrome
Una cosa, el google chrome lo instale ayer, entre en youtube para probar el flash y me sale este error:
"No se ha podido cargar el complemento Shockwave Flash"

La interfaz grafica no la cambie y no puse ningun efecto adicional.
Si dices que puede ser un repositorio de terceros no sabria como mirarlo.

Tengo un AMD Athlon(tm) XP 2100+, 1GB de memoria RAM, tarjeta grafica ATI Radeon 9000, Disco duro de 80 GB (dos particiones de 40GB, en una tengo el windows 7 que utilizaba antes).

Me baje los drivers de la grafica y lo instale, aunque no vi niungun cambio, igual no se instalo correctamente.
El problema del flash lo tenia antes de instalar los drivers de la grafica.

Y aqui el resultado del comando lspci -nn

amroth@amroth-pc:~$ lspci -nn
00:00.0 Host bridge [0600]: VIA Technologies, Inc. VT8366/A/7 [Apollo KT266/A/333] [1106:3099]
00:01.0 PCI bridge [0604]: VIA Technologies, Inc. VT8366/A/7 [Apollo KT266/A/333 AGP] [1106:b099]
00:08.0 Network controller [0280]: Ralink corp. RT2561/RT61 802.11g PCI [1814:0301]
00:09.0 Network controller [0280]: Ralink corp. RT2760 Wireless 802.11n 1T/2R [1814:0701]
00:0a.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ [10ec:8139] (rev 10)
00:0c.0 Multimedia audio controller [0401]: Ensoniq 5880B [AudioPCI] [1274:5880] (rev 02)
00:11.0 ISA bridge [0601]: VIA Technologies, Inc. VT8233A ISA Bridge [1106:3147]
00:11.1 IDE interface [0101]: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE [1106:0571] (rev 06)
00:11.2 USB controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev 23)
00:11.3 USB controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev 23)
00:11.5 Multimedia audio controller [0401]: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller [1106:3059] (rev 40)
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI R250 If [Radeon 9000] [1002:4966] (rev 01)
01:00.1 Display controller [0380]: Advanced Micro Devices [AMD] nee ATI RV250 [Radeon 9000] (Secondary) [1002:496e] (rev 01)

Queria daros las gracias por gastar vuestro tiempo en intentar ayudarme.
Un saludo

+1
0
-1

-¿Porqué usar Linux?
-¿Y porqué no usarlo?

Imagen de rioport
+1
0
-1

Me ha superado, sin logs que digan algo, sin alguna pista. Lo único que se me ocurre es que sea por cuestión de drivers de la GPU, pues tu gráfica ya tiene sus años encima y [creo que] AMD ya no da soporte para esta.
Que si en Windows funciona, ok, puede que sea cierto, pero es porque AMD aún fabrica controladores para ese SO, en cambio para Linux pues ...

Y parece que así es:
http://www.ubuntu-es.org/node/97266

+1
0
-1

-- GC --

Imagen de okky
+1
0
-1

bueno si me tengo que quedar sin flash en los navegadores.....tampoco es que me valla a morir por ello, es una pena pero bueno, aun asi prefiero andar con ubuntu que con windows, eso esta claro.

Mi ordenador es viejito, y con ubuntu me va de perlas comparado con windows7 o windows xp, de echo asta puedo compartir internet en casa mejor que con esos dos sistemas operativos, lo hice una vez y ahora al encenderlo ya esta compartiendo, una gozada.

Lei ese post, intentare instalar los drivers de codigo abierto de ati, a ver si asi me va, si consigo que me valla lo pondre aqui para otras personas que tengan el mismo problema.

Muchas gracias a todos por vuestra ayuda prestada, voy a hacer el ultimo intento con los drivers de codigo abierto.

+1
0
-1

-¿Porqué usar Linux?
-¿Y porqué no usarlo?

Imagen de rioport
+1
0
-1

viene instalado por defecto en las instalaciones de *buntu, en caso de que no sea así el paquete es:
xserver-xorg-video-radeon

+1
0
-1

-- GC --

Imagen de lolaes
+1
0
-1

A mi me paso lo mismo y lo solucione con la cosa mas tonta.
Desinstale desde el centro de ubuntu flash player plugins y lo instale desde la teminal.
ahora mismo no recuerdo el comando exacto pero imagino que lo encontraras facilmente.

Espero que te ayude
P.D. No obstante mi pc hace cosas muy raras

+1
0
-1
Imagen de okky
+1
0
-1

Bueno me habia olvidado de este post, pero ya que estoy no habro un nuevo tema.
lolaes eso no me funciona, al parecer es problema de la tarjeta grafica ATI RADEON 9000, es el problema de tener un pc viejo.

Al final opte por desistir y quedarme con gnash, tiene muchas limitaciones y en muchas cosas no va, pero bueno, algo es algo, pero ahora tengo un problemilla, debido a mi hardware anticuado decidi pasarme a un navegador mas ligero y opte por qupzilla, me gusta su aspecto y me va bastante bien, pero el plugin de gnash no se instala por defecto en este navegador y no se como instalarlo.

¿Alguien me podria decir como implementar GNASH en QUPZILLA?

+1
0
-1

-¿Porqué usar Linux?
-¿Y porqué no usarlo?

Imagen de rioport
+1
0
-1

En el siguiente enlace puedes informarte:
https://github.com/QupZilla/qupzilla/issues/278

Como leerás en el último comentario parece quedar claro que no hay razón para usar Gnash a menos que quieras más cuelgues que con el Flash de Adobe, es decir que vayas perdiendo las esperanzas. Aunque de eso tiene un año ya.

El problema no es tener un PC viejo, no del todo, el problema es tener hardware de fabricantes que de pronto abandonan el soporte para su hardware.

+1
0
-1

-- GC --

Imagen de okky
+1
0
-1

Te agradezco tu respuesta rioport, pero el flash de adobe no me va, y cuando utilizaba firefox el gnash no me dio problemas, quizas sea por el echo de que no va casi nada, pero bueno, mejor un poco que nada, ¿Verdad?
De echo, con el flash de adobe nisiquiera podia ver los videos de youtube, y eso que youtube se puede ver sin flash gracias a que tienen implementado HTML5.

Tienes razon, el problema es de Hardware, pero comprar una nueva grafica es inviable ahora mismo, con un procesador como el que tengo, no merece la pena, asi que hasta que pueda hacerme con otro pc no me queda mas remedio que aguantar con este.

No se mucho de ingles pero mirare el tema ese a ver si consigo sacar algo en claro, Gracias de nuevo.

Un saludo

+1
0
-1

-¿Porqué usar Linux?
-¿Y porqué no usarlo?

Imagen de okky
+1
0
-1

Ese leido ese tema, pero parece ser que no dan una solucion viable, mi problema no es con la instalacion de Gnash , si no con la implementacion de este en qupzilla.

Hace poco tube que reinstalar ubuntu, y antes lo habia conseguido, pero no me acuerdo como hice, intente pasar el archivo flshplugin-alternative.so que esta dentro de mozilla a la carpeta de qupzilla dentro de /usr/lib/ pero nada.

Youtube se ve, tube que desactivar una opcion de qupzilla, la de utilizar plugins de nestcape(flash) para que se viera, pero el test de velocidad sigue sin ir,.

Tengo una pregunta, dentro de /usr/lib/mozilla/plugins hay un archivo llamado flashplugin-alternative.so pero es un acceso directo, es lo mismo poner ese archivo dentro de qupzilla que si pusiera el archivo original??

Otra pregunta, ese flashplugin-alternative.so es el gnash??

y ya si alguien me contesta a estas preguntas , vere si puedo implementar gnash en qupzilla, si no dejare este post para el olvido y esperare a cambiar de pc.

Un saludo

+1
0
-1

-¿Porqué usar Linux?
-¿Y porqué no usarlo?

Imagen de rioport
+1
0
-1

Que fueses perdiendo las esperanzas.

El archivo flashplugin-alternative.so es un enlace simbólico a /etc/alternatives/mozilla-flashplugin, este segundo enlace apunta a alguna de las alternativas para el plugin. Es usado cuando tienes varios paquetes instalados que proveen el mismo programa, plugin, etc. Para seleccionar cuál quieres usar puedes ejecutar el comando sudo update-alternatives --config mozilla-flashplugin. Para saber cuál plugin estás usando puedes ejecutar en la terminal el siguiente comando: file /etc/alternatives/mozilla-flashplugin, con eso ya puedes ir a donde se encuentra el verdadero plugin y probar a ver qué puedes hacer con él en el navegador que mencionas.

+1
0
-1

-- GC --